Loading...
Searching...
No Matches
animation.hpp File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | Params
class | Animator

## Namespaces

namespace | ftxui
namespace | ftxui::animation
namespace | ftxui::animation::easing

## Typedefs

using | Clock = std::chrono::steady_clock
using | TimePoint = std::chrono::time_point<Clock>
using | Duration = std::chrono::duration<float>
using | Function = std::function<float(float)>

## Functions

void | RequestAnimationFrame ()
float | Linear (float p)
| Modeled after the line y = x.
float | QuadraticIn (float p)
| Modeled after the parabola y = x^2.
float | QuadraticOut (float p)
float | QuadraticInOut (float p)
float | CubicIn (float p)
float | CubicOut (float p)
float | CubicInOut (float p)
float | QuarticIn (float p)
float | QuarticOut (float p)
float | QuarticInOut (float p)
float | QuinticIn (float p)
float | QuinticOut (float p)
float | QuinticInOut (float p)
float | SineIn (float p)
float | SineOut (float p)
float | SineInOut (float p)
float | CircularIn (float p)
float | CircularOut (float p)
float | CircularInOut (float p)
float | ExponentialIn (float p)
float | ExponentialOut (float p)
float | ExponentialInOut (float p)
float | ElasticIn (float p)
float | ElasticOut (float p)
float | ElasticInOut (float p)
float | BackIn (float p)
float | BackOut (float p)
float | BackInOut (float p)
float | BounceIn (float p)
float | BounceOut (float p)
float | BounceInOut (float p)